Update a goal's details

Modifies the properties of an existing goal, such as title, description, or due date. Does not update the goal's progress. That can be done using the endpoint entitled "Update A Goal's Progress". Please note, updates to a goal's attributes will also be recorded in the goal's activity history stream, where the label of the responsible API key will be displayed alongside the nature of the update.

🚧

Updates Overwrite Existing Property Value

Updates to fields will also overwrite the current field value instead of appending new values to the existing field entry. For example, the description of a goal needs to be updated to include a link to outside documentation, the entire existing goal description in addition to the new link should be included in the PATCH request.

Path Params
string
required
Body Params
string
length between 4 and 280

Name of the goal being created.

number
-1e+100 to 1e+100

The value you want to hit for the goal being created.

string | null

The type of units the goal being created will have for its target.

date
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$

The start date of the goal. Accepted Format: YYYY-MM-DD.

^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$

Defines when the goal is due. Accepted Format: YYYY-MM-DD.

string | null

The details of the goal being created.

categories
array of strings

Defines the category or categories that the goal being created belongs to. Accepts an array of goal category IDs (strings). Goal categories can be retrieved using the GET /v1/goal-categories endpoint. If your organization has enabled the "Require goal category when creating or editing goals" setting, the behavior depends on whether the goal being updated already has categories: A) If the goal does not have categories, the category field becomes required and must be provided to update the goal. B) If the goal already has categories, the field remains optional and does not need to be included in the update.

categories
number | null
> 0

Defines the weight of the goal being created compared to other goals assigned to the same employee.

string

Defines who can see the goal being created.

boolean

Defines whether the goal is a top level goal or not.

string | null

Defines the goal that the goal being created is aligned to. Must be a different goal's ID. Only a single goal ID is valid.

boolean
Defaults to false

Defines whether the goal's progress can be updated by its checklist.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json